import { Group } from '@wisemapping/web2d';
import Icon from './Icon';
import IconGroup from './IconGroup';
import SvgIconModel from './model/SvgIconModel';
import SizeType from './SizeType';
import Topic from './Topic';
import PositionType from './PositionType';
declare class EmojiCharIcon implements Icon {
    private _group;
    private _iconGroup;
    private _iconModel;
    private _topic;
    constructor(topic: Topic, iconModel: SvgIconModel, readOnly: boolean);
    getElement(): Group;
    setGroup(group: IconGroup): void;
    getGroup(): IconGroup;
    getSize(): SizeType;
    getPosition(): PositionType;
    addEvent(type: string, fnc: (e: object) => void): void;
    remove(): void;
    getModel(): SvgIconModel;
}
export default EmojiCharIcon;
